Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.api.navstate
Class NavigationalStateContextImpl

    java.lang.Object
      org.jboss.portal.core.impl.api.navstate.NavigationalStateContextImpl

All Implemented Interfaces:
  NavigationalStateContext

    public class NavigationalStateContextImpl

extends java.lang.Object
implements NavigationalStateContext

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Constructor Summary
`NavigationalStateContextImpl(AttributeResolver navigationalStateResolver)`

Method Summary
`Mode` | `getMode(PortalNode window)` Returns the mode of a window or null if it is not found.
`WindowState` | `getWindowState(PortalNode window)` Returns the window state of a window or null if it is not found.
`void` | `setMode(PortalNode window, Mode mode)` Updates the mode of a window.
`void` | `setWindowState(PortalNode window, WindowState windowState)` Updates the window state of a window.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NavigationalStateContextImpl

    public NavigationalStateContextImpl(AttributeResolver navigationalStateResolver)

Method Detail

### getWindowState

    public WindowState getWindowState(PortalNode window)
                               throws java.lang.IllegalArgumentException

  Description copied from interface: `NavigationalStateContext`
  Returns the window state of a window or null if it is not found.

  Specified by:
    `getWindowState` in interface `NavigationalStateContext`
  Parameters:
    `window` - the window from which the window state is returned
  Returns:
    the window state
  Throws:
    `java.lang.IllegalArgumentException`

### setWindowState

    public void setWindowState(PortalNode window,
                               WindowState windowState)
                        throws java.lang.IllegalArgumentException

  Description copied from interface: `NavigationalStateContext`
  Updates the window state of a window.

  Specified by:
    `setWindowState` in interface `NavigationalStateContext`
  Parameters:
    `window` - the window to update
    `windowState` - the new window state value
  Throws:
    `java.lang.IllegalArgumentException`

### getMode

    public Mode getMode(PortalNode window)
                 throws java.lang.IllegalArgumentException

  Description copied from interface: `NavigationalStateContext`
  Returns the mode of a window or null if it is not found.

  Specified by:
    `getMode` in interface `NavigationalStateContext`
  Parameters:
    `window` - the window from which the mode is returned
  Returns:
    the mode
  Throws:
    `java.lang.IllegalArgumentException`

### setMode

    public void setMode(PortalNode window,
                        Mode mode)
                 throws java.lang.IllegalArgumentException

  Description copied from interface: `NavigationalStateContext`
  Updates the mode of a window.

  Specified by:
    `setMode` in interface `NavigationalStateContext`
  Parameters:
    `window` - the window to update
    `mode` - the new mode value
  Throws:
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD